---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrdlst02.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xCB8, symBinAddr: 0x173C, symSize: 0x254 }
  - { offsetInCU: 0x4D5, offset: 0x4D5, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x26120, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x4F3, offset: 0x4F3, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x26128, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x26130, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x26138, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x26140, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x26148, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x91EB, offset: 0x91EB, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x26170, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x9204, offset: 0x9204, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x26158, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x921D, offset: 0x921D, size: 0x8, addend: 0x0, symName: __ZL14eventsReceived, symObjAddr: 0x26160, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x9236, offset: 0x9236, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x26168, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x92D1, offset: 0x92D1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x1718, symSize: 0x24 }
  - { offsetInCU: 0x97E4, offset: 0x97E4, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xF0C, symBinAddr: 0x1990, symSize: 0x90 }
  - { offsetInCU: 0x98C4, offset: 0x98C4, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0xF9C, symBinAddr: 0x1A20, symSize: 0x1A8 }
  - { offsetInCU: 0x9E11, offset: 0x9E11, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x1144, symBinAddr: 0x1BC8, symSize: 0x510 }
  - { offsetInCU: 0xA79C, offset: 0xA79C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x24CC, symBinAddr: 0x2F50, symSize: 0x30 }
  - { offsetInCU: 0xA829, offset: 0xA829, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x1654, symBinAddr: 0x20D8, symSize: 0x1AC }
  - { offsetInCU: 0xAB8E, offset: 0xAB8E, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x1800, symBinAddr: 0x2284, symSize: 0x224 }
  - { offsetInCU: 0xADE8, offset: 0xADE8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1A24, symBinAddr: 0x24A8, symSize: 0x160 }
  - { offsetInCU: 0xB1DB, offset: 0xB1DB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1B84, symBinAddr: 0x2608, symSize: 0x93C }
  - { offsetInCU: 0xBE14, offset: 0xBE14, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x24FC, symBinAddr: 0x2F80, symSize: 0x70 }
  - { offsetInCU: 0xBECA, offset: 0xBECA, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x256C, symBinAddr: 0x2FF0, symSize: 0x174 }
...
